A compatible version of Visual Studio 2008 was not detected on the system. This update is designed for only the Microsoft Visual Studio 2008 (ENU) product family, and is not compatible with any Expres

 Hello,

          I'm trying to install VS2008 SP1 on Vista Ultimate but I receive this error "A compatible version of Visual Studio 2008 was not detected on the system. This update is designed for only the Microsoft Visual Studio 2008 (ENU) product family, and is not compatible with any Express editions." Sad

Either I download the installer from here (http://www.microsoft.com/downloads/details.aspx?FamilyId=FBEE1648-7106-44A7-9649-6D9F6D58056E&displaylang=en)

or after downloading the ISO from here (http://www.microsoft.com/downloads/details.aspx?FamilyId=27673C47-B3B5-4C67-BD99-84E525B5CE61&displaylang=en).

I still get the same error above. Sad

 

I wanted to try IIS7 and MVC on Vista.

 

 Regards,

imperialx

 

 

0
imperialx
11/18/2008 1:45:32 AM
asp.net.visual-studio-2008 3408 articles. 0 followers. Follow

5 Replies
5148 Views

Similar Articles

[PageSpeed] 42

 So do you have Visual Studio 2008 already installed?

This is the paid version of visual studio.

 

You can build MVC apps in the free version as well. Its called Visual Web Developer 2008.

You can get it at:

0
rtpHarry
11/18/2008 9:40:15 AM

 Hi rtpHarry,

                  I thought VS2008 is free. Sad No, I haven't installed it due to error running the setup file. 

I use VWDExpress2008 SP1 on my projects but it's under II6 on XP. I guess I'll try using VWDExp2008 SP1 on Vista for IIS7 if it works. 

 

Regards,

imperialx

 

 

0
imperialx
11/19/2008 4:54:35 AM

Ok. The service pack releases are like patches containing bug fixes and security improvements, etc.

You have to have the main program installed to install the service pack.

Well, long story short is go here:

and download Visual Web Developer 2008.

It has the service pack already installed.

 

Good luck!

0
rtpHarry
11/19/2008 11:37:18 AM

 Hi rtpHarry,

                  After downloading VWD2008, there is no MVC template available. Sad Is it a separate download?

 

Regards,

imperialx

0
imperialx
11/21/2008 2:35:36 AM

 I have the same problem I have now 5 day try to update mi SO from windows 2003 SE to windows mobile 5 and I'm can't do it ... any can help me, this issue makes me crazy

0
Javiercasian
4/17/2009 1:37:19 PM
Reply: